Subject: 23.3.50; Emacs takes long time to start up due to DNS

From: Leo <[email-masked]>
Date: Sat, 13 Aug 2011 09:59:15 +0800

On my machine, emacs -q -nw normally takes 0.1 seconds. But I have just
found that it could take more than 10 seconds on some network. I have
this device that provides wifi/wapi through the telencom network here,
so the behaviour is readily reproducible. Let me know how I may provide
more information for debugging. AFAICT this happens in 24.0.50 too.

I am running emacs 23.3.50 on OSX 10.6.8.

leo@bogon ~$ time emacs -q -nw

real	0m11.347s
user	0m0.207s
sys	0m0.037s

Backtrace in GDB reveals this:

#0  0x00007fff85677c0a in kevent ()
#1  0x00007fff856b69fa in _mdns_query_mDNSResponder ()
#2  0x00007fff856b5db7 in _mdns_search ()
#3  0x00007fff856b4ffc in _mdns_addrinfo ()
#4  0x00007fff856b4059 in search_addrinfo ()
#5  0x00007fff856b3a7a in si_addrinfo ()
#6  0x00007fff856b348d in getaddrinfo ()
#7  0x000000010012915e in init_system_name () at sysdep.c:1793
#8  0x00000001001a4b9d in init_editfns () at editfns.c:154
#9  0x00000001001021bc in main (argc=3, argv=0x7fff5fbff5f8) at emacs.c:1768

BTW, is it possible for init_system_name to be done async?

Leo